From 49f7fe8ff8bf8017247d9ceb737a4673aeeb9ee2 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Fri, 01 Jul 2022 16:08:06 +0200
Subject: [PATCH] Mark lock_mtab and unlock_mtab as unit-local

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
Upstream-Status: Pending
---
 src/fdmount.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/fdmount.c b/src/fdmount.c
index b2d1ea082f5e..095c51387d8c 100644
--- a/src/fdmount.c
+++ b/src/fdmount.c
@@ -357,7 +357,7 @@ void save_mtab() {
     mtab_changed=0;
 }
 
-inline void lock_mtab() {
+static inline void lock_mtab() {
     int fd;
     if((fd = open(lock_filename, O_WRONLY | O_CREAT | O_EXCL, 0744)) < 0) {
 	die("Cannot create lock file %s: %s",lock_filename,strerror(errno));
@@ -366,7 +366,7 @@ inline void lock_mtab() {
     locked=1;
 }
 
-inline void unlock_mtab() {
+static inline void unlock_mtab() {
     unlink(lock_filename);
     locked=0;
 }
